| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | Friends | List of all members
Ogre::Any Class Reference
Core » General

Variant type that can hold Any other type. More...

`#include <OgreAny.h>`

Inheritance diagram for Ogre::Any:
[legend]

## Public Member Functions
| Any ()
template<typename ValueType >
| Any (const ValueType &value)
| Any (const Any &other)
virtual | ~Any ()
void | destroy ()
template<typename ValueType >
ValueType | get (void) const
const std::type_info & | getType () const
bool | has_value () const
bool | isEmpty () const
template<typename ValueType >
ValueType | operator() () const
template<typename ValueType >
Any & | operator= (const ValueType &rhs)
Any & | operator= (const Any &rhs)
void | reset ()
Any & | swap (Any &rhs)
const std::type_info & | type () const

## Friends
template<typename ValueType >
ValueType * | any_cast (Any *)
std::ostream & | operator<< (std::ostream &o, const Any &v)

## Detailed Description

Variant type that can hold Any other type.

## Constructor & Destructor Documentation

## ◆ Any() [1/3]

Ogre::Any::Any | ( |  | ) |
| inline

Referenced by operator=().

## ◆ Any() [2/3]

template<typename ValueType >

Ogre::Any::Any | ( | const ValueType & | value | ) |
| inline explicit

## ◆ Any() [3/3]

Ogre::Any::Any | ( | const Any & | other | ) |
| inline

## ◆ ~Any()

virtual Ogre::Any::~Any | ( |  | ) |
| inline virtual

References reset().

## Member Function Documentation

## ◆ swap()

Any& Ogre::Any::swap | ( | Any & | rhs | ) |
| inline

References std::swap().

## ◆ operator=() [1/2]

template<typename ValueType >

Any& Ogre::Any::operator= | ( | const ValueType & | rhs | ) |
| inline

References Any().

## ◆ operator=() [2/2]

Any& Ogre::Any::operator= | ( | const Any & | rhs | ) |
| inline

References Any().

## ◆ has_value()

bool Ogre::Any::has_value | ( |  | ) | const
| inline

Referenced by isEmpty().

## ◆ isEmpty()

bool Ogre::Any::isEmpty | ( |  | ) | const
| inline

Deprecated:
  use has_value() instead

References has_value().

## ◆ type()

const std::type_info& Ogre::Any::type | ( |  | ) | const
| inline

Referenced by Ogre::any_cast(), and getType().

## ◆ getType()

const std::type_info& Ogre::Any::getType | ( | void |  | ) | const
| inline

Deprecated:
  use type() instead

References type().

## ◆ reset()

void Ogre::Any::reset | ( |  | ) |
| inline

References Ogre::MEMCATEGORY_GENERAL, and OGRE_DELETE_T.

Referenced by Ogre::WorkQueue::Response::abortRequest(), destroy(), and ~Any().

## ◆ destroy()

void Ogre::Any::destroy | ( |  | ) |
| inline

Deprecated:
  use reset() instead

References reset().

## ◆ operator()()

template<typename ValueType >

ValueType Ogre::Any::operator() | ( |  | ) | const
| inline

Deprecated:
  use Ogre::any_cast instead

References any_cast.

## ◆ get()

template<typename ValueType >

ValueType Ogre::Any::get | ( | void |  | ) | const
| inline

Deprecated:
  use Ogre::any_cast instead

References any_cast.

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | const Any & | v
| ) |  |
| friend

## ◆ any_cast

template<typename ValueType >

ValueType* any_cast | ( | Any * | operand | ) |
| friend

Referenced by get(), and operator()().

The documentation for this class was generated from the following file:

- OgreAny.h